# Uses of Class
org.codehaus.commons.compiler.util.resource.ListableResourceFinder

Packages that use ListableResourceFinder
Package
Description
org.codehaus.commons.compiler.util.resource
Classes related to loading "resources" (`ResourceFinder`) and creating resources (`ResourceCreator`).

## Uses of ListableResourceFinder in org.codehaus.commons.compiler.util.resource

Subclasses of ListableResourceFinder in org.codehaus.commons.compiler.util.resource
Modifier and Type
Class
Description
`class`
`DirectoryResourceFinder`
A `FileResourceFinder` that finds file resources in a directory.
`class`
`FileResourceFinder`
This class specializes the `ResourceFinder` for finding resources in `File`s.
`class`
`JarDirectoriesResourceFinder`
Finds resources in any of the "*.jar" files that exist in a given set of directories.
`class`
`LazyMultiResourceFinder`
A `ResourceFinder` that examines a set of `ResourceFinder`s lazily as it searches for resources.
`class`
`MapResourceFinder`
A `ResourceFinder` that provides access to resource stored as byte arrays in a `Map`.
`class`
`MultiResourceFinder`
A `ResourceFinder` that finds its resources through a collection of other `ResourceFinder`s.
`class`
`PathResourceFinder`
A `ResourceFinder` that finds its resources along a "path" consisting of JAR file names, ZIP file names, and directory names.
Fields in org.codehaus.commons.compiler.util.resource declared as ListableResourceFinder
Modifier and Type
Field
Description
`static final ListableResourceFinder`
ResourceFinder.`EMPTY_RESOURCE_FINDER`
This one's useful when a resource finder is required, but cannot be created for some reason.
Methods in org.codehaus.commons.compiler.util.resource that return ListableResourceFinder
Modifier and Type
Method
Description
`static ListableResourceFinder`
ResourceFinders.`fromClassLoader(ClassLoader classLoader)`